org.red5.server.jmx.mxbeans

## Interface RTMPMinaConnectionMXBean

All Superinterfaces:
  AttributeStoreMXBean

All Known Implementing Classes:
  RTMPMinaConnection

    @MXBean
    public interface RTMPMinaConnectionMXBean
    extends AttributeStoreMXBean

Base abstract class for connections. Adds connection specific functionality like work with clients to AttributeStore.

### Method Summary

Methods
`void` `close()`
`long` `getDroppedMessages()`
`String` `getHost()`
`String` `getPath()`
`long` `getPendingMessages()`
`long` `getPendingVideoMessages(int streamId)`
`long` `getReadBytes()`
`long` `getReadMessages()`
`String` `getRemoteAddress()`
`List<String>` `getRemoteAddresses()`
`int` `getRemotePort()`
`String` `getSessionId()`
`String` `getType()`
`long` `getWrittenBytes()`
`long` `getWrittenMessages()`
`void` `invokeMethod(String method)`
`boolean` `isConnected()`

### Methods inherited from interface org.red5.server.jmx.mxbeans.AttributeStoreMXBean

`getAttributeNames, hasAttribute, removeAttribute, removeAttributes`

### Method Detail

#### getType

    String getType()

#### getHost

    String getHost()

#### getRemoteAddress

    String getRemoteAddress()

#### getRemoteAddresses

    List<String> getRemoteAddresses()

#### getRemotePort

    int getRemotePort()

#### getPath

    String getPath()

#### getSessionId

    String getSessionId()

#### isConnected

    boolean isConnected()

#### close

    void close()

#### getReadBytes

    long getReadBytes()

#### getWrittenBytes

    long getWrittenBytes()

#### getReadMessages

    long getReadMessages()

#### getWrittenMessages

    long getWrittenMessages()

#### getDroppedMessages

    long getDroppedMessages()

#### getPendingMessages

    long getPendingMessages()

#### getPendingVideoMessages

    long getPendingVideoMessages(int streamId)

#### invokeMethod

    void invokeMethod(String method)